Subject: bug#25521: 26.0.50; After (make-frame '((name . "foo"))) (select-frame-by-name "foo") doesn't see the frame

From: Eli Zaretskii <[email-masked]>
Date: Wed, 25 Jan 2017 05:37:31 +0200

> From: [email-masked]
> Date: Tue, 24 Jan 2017 18:35:25 -0500
> Cc: [email-masked]
> 
> > (require 'org)
> >
> > (defun qw ()
> >   (interactive)
> >   "Create a new capture frame helper-function" 
> >   (make-frame '((name . "foo")
> >                 (width . 120)
> >                 (height . 25)))
> >   (select-frame-by-name "foo") 
> >   (org-agenda))
> >
> > works on emacs24, but not on a current git, build 24 Jan 2017. The
> > error-message is: select-frame-by-name: There is no frame named ‘foo’
> >
> > I left everything else, but it doesn't look helpful.
> 
> I guess this is more fallout from my recent fix for #24091 [1: 6a788d2].

I wonder whether we should reinstate a wait there, but make it limited
so that it never infloops.  Otherwise, these issues will continue to
haunt us and the users.